%define docfiles README COPYING AUTHORS ChangeLog INSTALL THANKS TODO

Name:		eviacam
Version:	1.4.1
Release:	1%{?dist}
Summary:	A mouse cursor emulator tracking the users eye movement through a webcam

Group:		Applications/System
License:	GPLv3+
URL:		http://sourceforge.net/projects/eviacam/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/%{name}_%{version}.orig.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	opencv-devel, wxGTK-devel, libXtst-devel, libXext-devel, gettext, desktop-file-utils

%description
eViacam tracks the users eye movement and moves the mouse cursor
accordingly. It provides a GTK user interface for configuration.
It works with any common camera.

%package help
Summary:	Help files for %{name}
BuildArch:	noarch
Requires:	%{name}

%description help
This package contains the help files for %{name}


%prep
%setup -q
#This helps against the weird file permissions
find . -name "*.cpp" -exec chmod 644 {} \;
find . -name "*.h" -exec chmod 644 {} \;
find . -name "*.xpm" -exec chmod 644 {} \;
for file in %{docfiles}; do
 chmod 644 $file
done
#fix end of line encoding
sed -i 's/\r//' README THANKS


%build
%configure --disable-static --disable-rpath LIBS=-lgdk-x11-2.0
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{docfiles}
%{_bindir}/%{name}
#This binary doesn't need setuid
%attr(0755,root,root) %{_bindir}/eviacamloader
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/help
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%files help
%defattr(-,root,root,-)
%{_datadir}/%{name}/help


%changelog
* Wed Jan 05 2011 Julian Aloofi <julian@fedoraproject.org> 1.4.1-1
- update to version 1.4.1, getting stuff ready for a review request

* Sat Nov 15 2009 Julian Aloofi <julian at, fedoraproject.org> 1.2-1
- update to version 1.2

* Wed Jul 15 2009 Julian Aloofi <julian at, fedoraproject.org> 1.1-2
- fixed the weird file permissions

* Tue Jul 14 2009 Julian Aloofi <julian at, fedoraproject.org> 1.1-1
- Initial package
- some crazy file permissions
